<?php

	include_once( PLOG_CLASS_PATH."class/action/admin/blogowneradminaction.class.php" );
	include_once( PLOG_CLASS_PATH."plugins/atom/class/view/adminatompluginsettingsview.class.php" );

	/**
	 * doesn't do almost anything :))
	 */
	class AdminAtomPluginSettingsAction extends BlogOwnerAdminAction
	{
		function AdminAtomPluginSettingsAction( $actionInfo, $request )
		{
			$this->BlogOwnerAdminAction( $actionInfo, $request );
		}

		function perform()
		{
			$this->_view = new AdminAtomPluginSettingsView( $this->_blogInfo, $this->_userInfo );
			$this->setCommonData();

			return true;
		}
	}
?>